package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbFile;
import com.yongqi.xinrenli.domain.vo.DbFileVo;
import com.yongqi.xinrenli.domain.bo.DbFileBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文件Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbFileService {

    /**
     * 查询文件
     */
    DbFileVo queryById(Long id);

    /**
     * 查询文件列表
     */
    TableDataInfo<DbFileVo> queryPageList(DbFileBo bo, PageQuery pageQuery);

    /**
     * 查询文件列表
     */
    List<DbFileVo> queryList(DbFileBo bo);

    /**
     * 新增文件
     */
    Boolean insertByBo(DbFileBo bo);

    /**
     * 修改文件
     */
    Boolean updateByBo(DbFileBo bo);

    /**
     * 校验并批量删除文件信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
